function DOM() {
}

DOM.prototype = {
	$ : function(id) {
		return document.getElementById(id);
	},
	$className: function(className) {
		return document.getElementsByClassName(className);
	},
	$F : function(id) {
		return document.getElementById(id).value;
	},
	getKeyCode : function(ev) {
		return (window.event) ? window.event.keyCode : ev.keyCode;
	},
	createElemInnerHtml : function(tag, classname, innerHtml) {
		var e = document.createElement(tag);
		if (classname) {
			e.className = classname;
		}
		if (innerHtml) {
			e.innerHTML = innerHtml;
		}
		return e;
	},
	removeAllChildren: function(e) {
		while (e.firstChild) {
			e.removeChild(e.firstChild);
		}
	},
    getDocHeight: function() {
        var D = document;
        return Math.max(
            Math.max(D.body.scrollHeight, D.documentElement.scrollHeight),
            Math.max(D.body.offsetHeight, D.documentElement.offsetHeight),
            Math.max(D.body.clientHeight, D.documentElement.clientHeight)
        );
    },
    on: function(elem, eventName, handler) {
    	if (elem.attachEvent) {
            elem.attachEvent("on"+evenName, handler);
        } else if (elem.addEventListener) {
            elem.addEventListener(eventName, handler, false);
        } else {
            elem["on"+eventName] = handler;
        }
    },
    getEvTarget: function(ev, tagName) {
    	if (! ev) {
    		ev = window.event;
    	}
    	var target = ev.target || ev.srcElement;
    	while (target != null) {
    		if (target.nodeName.toLowerCase() == tagName.toLowerCase()) {
    			return target;
    		} else {
    			target = target.parentNode;
    		}
    	}
    	return null;
    },
	end : ''
};
