function ROOM(xhr, onJoin, onMessage) {
	this.xhr = xhr;
	this.onJoin = onJoin;
	this.onMessage = onMessage;
}

ROOM.prototype = {
	_send : function(action, user, message, handler) {
		if (message) {
			message = urlEncode(message);
		}
		if (user) {
			user = urlEncode(user);
		}
		this.xhr._('POST', 'classroom', 'action=' + action + '&user=' + user + '&message=' + message, handler);
	},

	join : function(name) {
		this._username = name;
		this._send('join', this._username, null, bind(this._join, this));
	},
	_join: function() {
		this._send('poll', this._username, null, bind(this._poll, this));
		this.onJoin();
	},

	chat : function(text) {
		if (text != null && text.length > 0) {
			this._send('chat', this._username, text);
		}
	},

	_poll : function(m) {
		//console.debug(m);
		if (m.chat) {
			this.onMessage(m);
		}
		if (m.action == 'poll') {
			this._send('poll', this._username, null, bind(this._poll, this));
		}
	},

	_end : ''
};