function urlEncode(s) {
	return s.replace('%', '%25').replace('&', '%26').replace('=', '%3D');
}

function bind(fn, scope) {
	return function() {
		fn.apply(scope, arguments);
	};
}

function parseQueryString(query) {
    if (! query) {
    	return {};
    }
    if (query.charAt(0) == '?') {
    	query = query.substring(1);
    }
    var res = {};
    var vars = query.split("&");
    for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        res[pair[0]] = unescape(pair[1]);
    }
    return res;
}