function YATOLO(dom, idparent, handler) {
	this.dom = dom;
	this.idparent = idparent;
	this.handler = handler;
}

YATOLO.prototype = {
	createIframe: function(lesson, content) {
		var html = '<iframe id="yatolocontent" style="width:100%; height:100%; border:0;" src="{0}"></iframe>';
		html = html.replace('{0}', '/lessons/'+urlEncode(lesson)+'/'+urlEncode(content));
		this.dom.removeAllChildren(this.dom.$(this.idparent));
		this.dom.$(this.idparent).appendChild(this.dom.createElemInnerHtml('div', 'exercice-content', html));
		this.dom.$('yatolocontent').contentWindow.yatolo = bind(this.answer, this);
	},
	
	answer: function(inputType, inputName) {
		var input = this.dom.$('yatolocontent').contentWindow.document.getElementsByName(inputName);
		if (! input || input.length == 0) {
			throw "Element with name = '" + inputName + "' not found !";
		}
		if (inputType == 'radio') {
			for (var i = 0; i < input.length; i++) {
				if (input[i].checked) {
					this.handler(input[i].value);
					return ;
				}
			}
			alert('Aucune rponse !');
		} else {
			throw "Unsupported inputType : " + inputType;
		}
	}
};
